---
audience: developer
components:
  - functions
  - serving
  - eventing
function: tutorial
---

# Welcome to the Knative Quickstart tutorial

Following this Quickstart tutorial provides you with a simplified, local Knative installation by using the Knative `quickstart` plugin.

You can use this simple Knative deployment to try out commonly used features of **Knative Serving** and **Knative Eventing**.

We recommend that you complete the topics in this tutorial in order.

--8<-- "quickstart-prereqs.md"

!!! tip
    Hit ++"."++ (period) on your keyboard to move forward in the tutorial. Use ++","++ (comma) to go back at any time.

<!--TODO: This tip only applies for users using a keyboard, i.e. not great for responsive design, since it doesn't work for users on mobile devices. Should we remove it or have it only appear on certain devices? Is responsive design really possible using mkdocs?-->
